# fusenapi

#### 介绍
新版fusenapi,golang语言，go-zero框架

* 首页-登录-注册 
    + Home 首页 
    + Sign In 登录
    + Sign Up 注册
* 产品列表 - Products 产品列表
* 产品详情 - Product Details 产品详情
* 购物车-确认订单-支付成功: 
    + Cart 购物车  
    + Order Confirmation 确认订单 
    + Payment Success 支付成功
* 设计存储 - saved designs 已保存设计
* 我的订单 - My Orders 我的订单
* 我的云仓 - My Cloud Storage 我的云仓
* 个人中心 - Profile 个人中心
* 关于我们 - About Us 关于我们
* 联系我们 - Contact Us 联系我们
* 常见问题 - FAQ 常见问题

#### 软件架构
 
* 首页-登录-注册: home-user-auth.api
* 产品列表-产品详情:  product.api  
* 购物车-确认订单-支付成功: shopping-cart-confirmation.api
* 设计存储 - designs.api
* 我的订单 - orders.api
* 我的云仓 - cloud-storage.api
* 个人中心 - profile.api
* 关于我们 - about-us.api
* 联系我们 - contact-us.api
* 常见问题 - faq.api

#### 安装教程

1.  xxxx
2.  xxxx
3.  xxxx

#### 使用说明

1.  sh fs_gen_api.sh home-user-auth # 序列化api
2.  sh fs_gen_mysql_model.sh fs_canteen_type # 根据ddl序列化mysql model
3.  生成后就是go-zero框架的实现. 主要在logic目录下实现代码.
4.  Response.Data的结构体 在api文件下定义. 方便rpc以后的接入. 参考现有的例子

#### 规范

sql 的值只能用 ?, 传入. 不能自己拼接. 涉及到sql安全和防注入.
例子: QueryRow("SELECT * FROM userinfo WHERE username = ? AND password = ?", sename, partname).Scan(&uid, &username, &password)


#### 参与贡献

1.  Fork 本仓库
2.  新建 Feat_xxx 分支
3.  提交代码
4.  新建 Pull Request


#### 特技

1.  使用 Readme\_XXX.md 来支持不同的语言，例如 Readme\_en.md, Readme\_zh.md
2.  Gitee 官方博客 [blog.gitee.com](https://blog.gitee.com)
3.  你可以 [https://gitee.com/explore](https://gitee.com/explore) 这个地址来了解 Gitee 上的优秀开源项目
4.  [GVP](https://gitee.com/gvp) 全称是 Gitee 最有价值开源项目，是综合评定出的优秀开源项目
5.  Gitee 官方提供的使用手册 [https://gitee.com/help](https://gitee.com/help)
6.  Gitee 封面人物是一档用来展示 Gitee 会员风采的栏目 [https://gitee.com/gitee-stars/](https://gitee.com/gitee-stars/)
