package constants

// 渲染要用到的面片模板(以前的模板)
const RENDER_FACE_SLICE_TEMPLATE_JSON = `[ 
  { 
    "id": "", 
    "tag": "MainColor", 
    "title": "", 
    "type": "color", 
    "text": "", 
    "fill": "{{MainColorFill}}", 
    "fontSize": 20, 
    "fontFamily": "Aqum2SmallCaps3", 
    "ifBr": false, 
    "ifShow": true, 
    "ifGroup": false, 
    "maxNum": 50, 
    "rotation": 0, 
    "lineHeight": 1, 
    "align": "center", 
    "verticalAlign": "middle", 
    "material": "", 
    "materialTime": "", 
    "materialName": "", 
    "QRcodeType": "", 
    "width": 1024, 
    "height": 1024, 
    "proportion": 60, 
    "x": 0, 
    "y": 0, 
    "opacity": 1, 
    "optionalColor": [ 
      { 
        "color": "#000000", 
        "name": "Black", 
        "default": true 
      } 
    ], 
    "zIndex": 1, 
    "svgPath": "", 
    "follow": { 
      "fill": "", 
      "ifShow": "", 
      "content": "" 
    }, 
    "group": [], 
    "cameraStand": { 
      "x": 0, 
      "y": 0, 
      "z": 0 
    } 
  }, 
  { 
    "id": "", 
    "tag": "SecondaryColor", 
    "title": "贴图3", 
    "type": "color", 
    "text": "", 
    "fill": "{{SecondaryColorFill}}", 
    "fontSize": 20, 
    "fontFamily": "Aqum2SmallCaps3", 
    "ifBr": false, 
    "ifShow": true, 
    "ifGroup": false, 
    "maxNum": 50, 
    "rotation": 0, 
    "lineHeight": 1, 
    "align": "center", 
    "verticalAlign": "middle", 
    "material": "", 
    "materialTime": "", 
    "materialName": "", 
    "QRcodeType": "", 
    "width": 1024, 
    "height": 1024, 
    "proportion": 60, 
    "x": 0, 
    "y": 0, 
    "opacity": 1, 
    "optionalColor": [ 
      { 
        "color": "#000000", 
        "name": "Black", 
        "default": true 
      } 
    ], 
    "zIndex": 2, 
    "svgPath": "", 
    "follow": { 
      "fill": "", 
      "ifShow": "", 
      "content": "" 
    }, 
    "group": [], 
    "cameraStand": { 
      "x": 0, 
      "y": 0, 
      "z": 0 
    } 
  }, 
  { 
    "id": "569d7981-25c3-3c03-0e7e-800c14800362", 
    "tag": "Slogan", 
    "title": "贴图4", 
    "type": "text", 
    "text": "", 
    "fill": "", 
    "fontSize": 13, 
    "fontFamily": "MontserratBold3", 
    "ifBr": false, 
    "ifShow": true, 
    "ifGroup": false, 
    "maxNum": 50, 
    "rotation": 0, 
    "lineHeight": 1, 
    "align": "center", 
    "verticalAlign": "middle", 
    "material": "", 
    "materialTime": "", 
    "materialName": "", 
    "QRcodeType": "", 
    "width": 309.9999999999993, 
    "height": 11.999265664648076, 
    "proportion": 60, 
    "x": 97.0015259021898, 
    "y": 575.300725990631, 
    "opacity": 1, 
    "optionalColor": [ 
      { 
        "color": "#000000", 
        "name": "Black", 
        "default": true 
      } 
    ], 
    "zIndex": 3, 
    "svgPath": "", 
    "follow": { 
      "fill": "38c09538-937d-510c-bf32-bfb1ce90cafa", 
      "ifShow": "", 
      "content": "" 
    }, 
    "group": [], 
    "cameraStand": { 
      "x": 0, 
      "y": 0, 
      "z": 45 
    } 
  }, 
  { 
    "id": "c466e27c-d48f-db86-b85f-3c4c51114046", 
    "tag": "Logo", 
    "title": "贴图8", 
    "type": "image", 
    "text": "", 
    "fill": "#0082ca", 
    "fontSize": 20, 
    "fontFamily": "Aqum2SmallCaps3", 
    "ifBr": false, 
    "ifShow": true, 
    "ifGroup": false, 
    "maxNum": 50, 
    "rotation": 0, 
    "lineHeight": 1, 
    "align": "center", 
    "verticalAlign": "middle", 
    "material": "{{LogoMaterial}}", 
    "materialTime": "", 
    "materialName": "", 
    "QRcodeType": "", 
    "width": 282.9999999999999, 
    "height": 95.99999999999933, 
    "proportion": 60, 
    "x": 110.99999999999982, 
    "y": 438.7192999999991, 
    "opacity": 1, 
    "optionalColor": [ 
      { 
        "color": "#000000", 
        "name": "Black", 
        "default": false 
      }, 
      { 
        "name": "MainColor", 
        "color": "#0082ca", 
        "default": true 
      } 
    ], 
    "zIndex": 7, 
    "svgPath": "", 
    "follow": { 
      "fill": "", 
      "ifShow": "", 
      "content": "" 
    }, 
    "group": [], 
    "cameraStand": { 
      "x": 0, 
      "y": 0, 
      "z": 0 
    } 
  } 
]
`
