package constants

type TypeWebSet string

const (
	FONT_CONFIG   TypeWebSet = "font_config" //字体
	POLICY_CONFIG TypeWebSet = "policy"      //政策
	CLAUSE_CONFIG TypeWebSet = "clause"      //条款
	FAQ_CONFIG    TypeWebSet = "faq"         //问答

	RECOMMEND_DETAIL_PRODUCT TypeWebSet = "recommend_detail_" //详情页推荐-后街pid
	RENDER_DESIGN            TypeWebSet = "render_design_"    //云渲染 后接client_no
	LAST_DESIGN              TypeWebSet = "last_design_"      //最后设计 后接uid
	OTHER_LIST               TypeWebSet = "other_list_"       //列表页其他列表 后接type 分类id
	PRODUCT_INFO             TypeWebSet = "product_info_"     //详情数据 后接sn
	MODEL_DATA               TypeWebSet = "model_data"        //所有模型数据
	TEMPLATE_PRODUCT         TypeWebSet = "product_template_" //模板数据 后接产品id
	CART_NUM                 TypeWebSet = "cart_num_"         //购物车数量 后接uid
	USER_ORDERNO             TypeWebSet = "order_no_"         //用户最新订单编号

	WEBSET_TIME_INFO TypeWebSet = "time_info" //配置时间

	WEBSET_TIME_INFO_PRODUCT_DAY         TypeWebSet = "product_day"         //配置时间--产品制作周期(天)
	WEBSET_TIME_INFO_FACTORY_DELIVER_DAY TypeWebSet = "factory_deliver_day" //配置时间--厂家发货到货代周期(天)
	WEBSET_TIME_INFO_DELIVER_UPS_DAY     TypeWebSet = "deliver_ups_day"     //配置时间--货代发货至UPS周期(天)
	WEBSET_TIME_INFO_UPS_TRANS_DAY       TypeWebSet = "ups_trans_day"       //配置时间--UPS运输周期(天)

)
