package gmodel

import (
	"gorm.io/gorm"
)

// fs_auth_assignment 用户角色和权限信息
type FsAuthAssignment struct {
	ItemName  *string `gorm:"index;default:'';" json:"item_name"` // 角色或权限名称
	UserId    *string `gorm:"index;default:'';" json:"user_id"`   // 用户ID
	CreatedAt *int64  `gorm:"default:0;" json:"created_at"`       // 创建时间
	// FsAuthAssignmentIbfk1 foreign  `gorm:"" json:"fs_auth_assignment_ibfk_1"`//
}
type FsAuthAssignmentModel struct {
	db   *gorm.DB
	name string
}

func NewFsAuthAssignmentModel(db *gorm.DB) *FsAuthAssignmentModel {
	return &FsAuthAssignmentModel{db: db, name: "fs_auth_assignment"}
}
