package gmodel

import (
	"gorm.io/gorm"
)

// fs_auth_rule 规则表
type FsAuthRule struct {
	Name      string  `gorm:"primary_key;default:'';" json:"name"` // 规则名称
	Data      *[]byte `gorm:"default:'';" json:"data"`             // 规则的额外数据
	CreatedAt *int64  `gorm:"default:0;" json:"created_at"`        //
	UpdatedAt *int64  `gorm:"default:0;" json:"updated_at"`        //
}
type FsAuthRuleModel struct {
	db   *gorm.DB
	name string
}

func NewFsAuthRuleModel(db *gorm.DB) *FsAuthRuleModel {
	return &FsAuthRuleModel{db: db, name: "fs_auth_rule"}
}
