package gmodel

import (
	"gorm.io/gorm"
)

// fs_canteen_type 餐厅类型表
type FsCanteenType struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Name   *string `gorm:"default:'';" json:"name"`                         // 餐厅名字
	Sort   *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	Status *int64  `gorm:"default:0;" json:"status"`                        // 状态位 1启用0停用
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsCanteenTypeModel struct {
	db   *gorm.DB
	name string
}

func NewFsCanteenTypeModel(db *gorm.DB) *FsCanteenTypeModel {
	return &FsCanteenTypeModel{db: db, name: "fs_canteen_type"}
}
