package gmodel

import (
	"gorm.io/gorm"
)

// fs_card 卡号表
type FsCard struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	CardNo  *string `gorm:"default:'';" json:"card_no"`                      // 卡号
	GroupId *int64  `gorm:"default:0;" json:"group_id"`                      // 分组id
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
	CardNum *string `gorm:"default:'';" json:"card_num"`                     // 卡号 无空格
}
type FsCardModel struct {
	db   *gorm.DB
	name string
}

func NewFsCardModel(db *gorm.DB) *FsCardModel { return &FsCardModel{db: db, name: "fs_card"} }
