package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_pick_up_detail 云仓提货单-详情
type FsCloudPickUpDetail struct {
	Id      int64  `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	PickId  *int64 `gorm:"index;default:0;" json:"pick_id"`                 // 提货单id
	StockId *int64 `gorm:"default:0;" json:"stock_id"`                      // 用户云仓记录id
	Num     *int64 `gorm:"default:0;" json:"num"`                           // 提取数量
	Boxes   *int64 `gorm:"default:0;" json:"boxes"`                         // 提取箱数
	Ctime   *int64 `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsCloudPickUpDetailModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudPickUpDetailModel(db *gorm.DB) *FsCloudPickUpDetailModel {
	return &FsCloudPickUpDetailModel{db: db, name: "fs_cloud_pick_up_detail"}
}
