package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_receive_every
type FsCloudReceiveEvery struct {
	Id                    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"`   //
	DeliveryId            *int64  `gorm:"index;default:0;" json:"delivery_id"`               // 云仓收货单id
	OrderDetailTemplateSn *string `gorm:"index;default:'';" json:"order_detail_template_sn"` // 详情modelSn
	Num                   *int64  `gorm:"default:0;" json:"num"`                             // 收到的数量
	Ctime                 *int64  `gorm:"default:0;" json:"ctime"`                           // 添加时间
}
type FsCloudReceiveEveryModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudReceiveEveryModel(db *gorm.DB) *FsCloudReceiveEveryModel {
	return &FsCloudReceiveEveryModel{db: db, name: "fs_cloud_receive_every"}
}
