package gmodel

import (
	"gorm.io/gorm"
)

// fs_factory_deliver 工厂发货主表(废弃)
type FsFactoryDeliver struct {
	Id             int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn             *string `gorm:"index;default:'';" json:"sn"`                     // 工厂发货编号sn
	Ctime          *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
	DeliveryMethod *int64  `gorm:"default:0;" json:"delivery_method"`               // 发货方式（ 1:直接发货到收获地址 2：云仓）
	OrderId        *int64  `gorm:"index;default:0;" json:"order_id"`                // 订单id
	IsArriveCloud  *int64  `gorm:"default:0;" json:"is_arrive_cloud"`               // 是否到达云仓 0：未到达，1已到达
	IsArriveAgent  *int64  `gorm:"default:0;" json:"is_arrive_agent"`               // 是否到达货代公司 0：未到达，1已到达
}
type FsFactoryDeliverModel struct {
	db   *gorm.DB
	name string
}

func NewFsFactoryDeliverModel(db *gorm.DB) *FsFactoryDeliverModel {
	return &FsFactoryDeliverModel{db: db, name: "fs_factory_deliver"}
}
