package gmodel

import (
	"gorm.io/gorm"
)

// fs_factory_ship_tmp
type FsFactoryShipTmp struct {
	Id                    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn                    *string `gorm:"default:'';" json:"sn"`                           // 运单号码
	FactoryId             *int64  `gorm:"default:0;" json:"factory_id"`                    // 工厂ID
	OrderDetailTemplateSn *string `gorm:"default:'';" json:"order_detail_template_sn"`     // 详情modelSn
	UserId                *int64  `gorm:"default:0;" json:"user_id"`                       //
	AddressSent           *string `gorm:"default:'';" json:"address_sent"`                 // 发货地址
	AddressTo             *string `gorm:"default:'';" json:"address_to"`                   // 收获地址 始终是货代公司
	Num                   *int64  `gorm:"default:0;" json:"num"`                           // 发货数量
	Fee                   *int64  `gorm:"default:0;" json:"fee"`                           // 运费
	Ctime                 *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Status                *int64  `gorm:"default:0;" json:"status"`                        // 状态位 是否到达 是否通知货代公司 是否是发到云仓
}
type FsFactoryShipTmpModel struct {
	db   *gorm.DB
	name string
}

func NewFsFactoryShipTmpModel(db *gorm.DB) *FsFactoryShipTmpModel {
	return &FsFactoryShipTmpModel{db: db, name: "fs_factory_ship_tmp"}
}
