package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_option 产品选项表（已废弃）
type FsProductOption struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Title     *string `gorm:"default:'';" json:"title"`                        // 名称
	ProductId *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品id
	Price     *int64  `gorm:"default:0;" json:"price"`                         // 产品单价
	SizeId    *int64  `gorm:"index;default:0;" json:"size_id"`                 // 尺寸id
	Status    *int64  `gorm:"default:0;" json:"status"`                        // 状态值（0:禁用，1:启用）
	Ctime     *int64  `gorm:"default:0;" json:"ctime"`                         //
}
type FsProductOptionModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductOptionModel(db *gorm.DB) *FsProductOptionModel {
	return &FsProductOptionModel{db: db, name: "fs_product_option"}
}
