package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_recommend 推荐商品表
type FsProductRecommend struct {
	Id        int64  `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId *int64 `gorm:"default:0;" json:"product_id"`                    // 产品ID
	Status    *int64 `gorm:"default:1;" json:"status"`                        // 状态 1正常 0不正常
	Ctime     *int64 `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsProductRecommendModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductRecommendModel(db *gorm.DB) *FsProductRecommendModel {
	return &FsProductRecommendModel{db: db, name: "fs_product_recommend"}
}
