package gmodel

import (
	"gorm.io/gorm"
)

// fs_tool_template 设计工具模板（废弃）
type FsToolTemplate struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Tid          *int64  `gorm:"default:0;" json:"tid"`                           // 类别ID
	Name         *string `gorm:"unique_key;default:'';" json:"name"`              // 名称
	Model        *string `gorm:"default:'';" json:"model"`                        // 模板
	Material     *string `gorm:"default:'';" json:"material"`                     // 材质图
	Aomap        *string `gorm:"default:'';" json:"aoMap"`                        // ao材质图
	Normalmap    *string `gorm:"default:'';" json:"normalMap"`                    // 法线材质图
	Roughnessmap *string `gorm:"default:'';" json:"roughnessMap"`                 // 粗糙材质图
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Status       *int64  `gorm:"default:0;" json:"status"`                        // 1正常 0：禁用
}
type FsToolTemplateModel struct {
	db   *gorm.DB
	name string
}

func NewFsToolTemplateModel(db *gorm.DB) *FsToolTemplateModel {
	return &FsToolTemplateModel{db: db, name: "fs_tool_template"}
}
