package gmodel

import (
	"gorm.io/gorm"
)

// fs_tool_user 3d设计工具用户表
type FsToolUser struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Username *string `gorm:"default:'';" json:"username"`                     // 用户名
	Password *string `gorm:"default:'';" json:"password"`                     // 密码
	Status   *int64  `gorm:"default:0;" json:"status"`                        // 状态位 1正常0删除
	Ctime    *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
}
type FsToolUserModel struct {
	db   *gorm.DB
	name string
}

func NewFsToolUserModel(db *gorm.DB) *FsToolUserModel {
	return &FsToolUserModel{db: db, name: "fs_tool_user"}
}
