package backendtest

import (
	"fmt"
	fstests "fusenapi/utils/fstests"
	"log"
	"testing"
)

func TestCaseQuotationDetail(t *testing.T) {
	ses := fstests.GetBackendSessionWithUserToken(t, gserver, cnf.Host, cnf.Port)

	// 构建新增地址请求体
	// addrReq := types.RequestQuotationId{
	// 	QuotationId: 1003,
	// }

	// 向服务器发送 POST 请求,新增用户地址
	tp := ses.Get(fmt.Sprintf("http://%s:%d//quotation/detail", cnf.Host, cnf.Port))
	tp.QueryParam("id").Set(1003)
	resp, err := tp.TestExecute(gserver)
	log.Println(resp.Json())
	if err != nil {
		t.Error(err)
		return
	}

	log.Println(resp.Json())
}
