package constants

type cloud int64

// 已下单
const STATUS_ORDERD cloud = 1

// 运输中
const STATUS_SHIPPING cloud = 2

// ups待提货
const STATUS_PICK_UP cloud = 3

// 已到达
const STATUS_ARRIVAL cloud = 4

/**
 * 状态对应中文
 * @var string[]
 */
var CloudOrderMap = map[cloud]string{
	STATUS_ORDERD:   "已下单",
	STATUS_SHIPPING: "运输中",
	STATUS_PICK_UP:  "UPS已发货",
	STATUS_ARRIVAL:  "已到达",
}
