package constants

// 主体页面
const MAIN_INVOICE_HTML = `<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Invoice</title>
</head>

<body style="margin: 0;">
    <!-- header -->
    <table border="0" align="center" cellpadding="0" cellspacing="0" width="100%"
        style="background-color: #F8F8FA;padding: 0 5%;">
        <tr height="30px"></tr>
        <tr>
            <td align="left" rowspan="9" style="vertical-align: top; width: 50%;">
                <img style="max-height: 40px;max-width: 100%;"
                    src="{{h5Url}}/storage/email/logo.png" alt="logo">
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #212121;font-weight: bold;font-size: 42px; display: block;">Invoice</span>
            </td>
        </tr>
        <tr height="30px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Invoice Number:</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">{{order_sn}}</span>
            </td>
        </tr>
        <tr height="30px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Date:</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">{{order_expire_time}}</span>
            </td>
        </tr>
        <tr height="30px"></tr>
    </table>
    <!-- information -->
    <table border="0" align="center" cellpadding="0" cellspacing="0" width="100%"
        style="background-color: #fff;padding: 0 5%;">
        <tr height="30px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Bill To:</span>
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Bill From:</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">{{name}}</span>
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">Lemon
                    Squeezy LLC</span>
            </td>
        </tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">{{street}} {{suite}}</span>
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">Lemon
                    Squeezy LLC</span>
            </td>
        </tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">{{city}} {{state}} {{zip_code}}</span>
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">Lemon
                    Squeezy LLC</span>
            </td>
        </tr>
        <tr>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;"> </span>
            </td>
            <td align="left" style="width: 50%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block; line-height: 42px;">Lemon
                    Squeezy LLC</span>
            </td>
        </tr>
        <tr height="30px"></tr>
    </table>
    <!-- bill -->
    <table border="0" align="center" cellpadding="0" cellspacing="0" width="100%"
        style="background-color: #F8F8FA;padding: 0 5%;">
        <tr>
            <td align="left" style="width: 50%;">
                <span
                    style="color: #212121;font-weight: bold;font-size: 22px; display: block; line-height: 70px;">Product
                    Name</span>
            </td>
            <td align="left" style="width: 16.66%;">
                <span style="color: #212121;font-weight: bold;font-size: 22px; display: block; line-height: 70px;">Unit
                    Price</span>
            </td>
            <td align="center" style="width: 16.66%;">
                <span
                    style="color: #212121;font-weight: bold;font-size: 22px; display: block; line-height: 70px;">Quantity</span>
            </td>
            <td align="right" style="width: 16.66%;">
                <span
                    style="color: #212121;font-weight: bold;font-size: 22px; display: block; line-height: 70px;">Total</span>
            </td>
        </tr>
    </table>
    <table border="0" align="center" cellpadding="0" cellspacing="0" width="100%"
        style="background-color: #fff;padding: 0 5%;">
        <tr height="30px"></tr>
        {{orderHTML}}
        <tr>
            <td align="left" colspan="2">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">Subtotal</span>
            </td>
            <td align="right" style="width: 16.66%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">${{total_amount}}</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" colspan="2">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">Tax</span>
            </td>
            <td align="right" style="width: 16.66%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">$0.00</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" colspan="2">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">Invoice Total</span>
            </td>
            <td align="right" style="width: 16.66%;">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">${{total_amount}}</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" colspan="2" {{first_style1}}>
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">First Payment</span>
            </td>
            <td align="right" {{first_style2}}>
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">-${{first_payment}}</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        {{second_payment_html}}
        <tr height="15px"></tr>
        <tr>
            <td align="left" colspan="2">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Amount Due</span>
            </td>
            <td align="right" style="width: 16.66%;">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">${{amount_due}}</span>
            </td>
        </tr>
        <tr height="88px"></tr>
        <tr>
            <td align="left" colspan="4">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Payment Method:</span>
            </td>
        </tr>
        {{pay_html}}
        <tr height="30px"></tr>
        <tr>
            <td align="left" colspan="4">
                <span style="color: #212121;font-weight: bold;font-size: 24px; display: block;">Notes:</span>
            </td>
        </tr>
        <tr height="15px"></tr>
        <tr>
            <td align="left" colspan="4">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">Add a note...</span>
            </td>
        </tr>
        <!-- <tr height="80px"></tr> -->
    </table>
</body>

</html>`

// 发票支付html模板
const PAYMENT_HTML = `<tr height="15px"></tr>
                        <tr>
                            <td align="left" colspan="4">
                                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">${{pay_amount}} payment from {{brand}}
                                    ····{{card_no}}</span>
                            </td>
                        </tr>`

// 二次支付html
const SECOND_PAYMENY_HTML = `<tr>
		<td align="left" colspan="2"  style="padding-bottom: 20px; border-bottom: 1px solid #212121;">
		<span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">Second Payment</span>
		</td>
		<td align="right" style="width: 16.66%; padding-bottom: 20px; border-bottom: 1px solid #212121;">
		<span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">-${{remain_amount}}</span>
		</td>
		</tr>
		<tr height="15px"></tr>`

// order html
const ORDER_HTML = `<tr>
            <td align="left" style="width: 50%;{{style1}}" {{rowspan}}">
                <span style="color: #212121;font-weight: bold;font-size: 22px; display: block;">{{product_title}}</span>
            </td>
            <td align="left" style="width: 16.66%;{{style2}}">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">${{amount}}</span>
            </td>
            <td align="center" style="width: 16.66%;' . $style2 . '">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">{{buy_num}}pcs</span>
            </td>
            <td align="right" style="width: 16.66%;' . $style2 . '">
                <span style="color: #666666;font-weight: 400;font-size: 22px; display: block;">${{sum_amount}}</span>
            </td>
        </tr>
        <tr height="15px"></tr>`
