package constants

type PayMethod int64

const (
	PAYMETHOD_STRIPE PayMethod = 1
	PAYMETHOD_PAYPAL PayMethod = 2
)

type PayStatus int64

const (
	PAYSTATUS_SUCCESS   PayStatus = 1
	PAYSTATUS_UNSUCCESS PayStatus = 0
)

type PayStage int64

const (
	PAYSTAGE_DEPOSIT   PayStage = 1 // 首付
	PAYSTAGE_REMAINING PayStage = 2 // 尾款
)
