#! /bin/bash
name=${1%%\\*}
options=("backend" "product-template" "product-template-tag" "product-model")
for option in "${options[@]}"; do
    if [ "$name" = "$option" ]; then 
        echo $name 
        goctl api go -api server_api/$name.api -dir server/$name --home ./goctl_template_backend/
        exit
    fi 
done

for option in "${options[@]}"; do
    echo "只支持 $option"
done