package {{.PkgName}}

import (
	"net/http"
	"reflect"
	
	"fusenapi/utils/basic"
	
	{{.ImportPackages}}
)

func {{.HandlerName}}(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		{{if .HasRequest}}var req types.{{.RequestType}}
		userinfo, err := basic.RequestParseBackend(w, r, svcCtx, &req)
		if err != nil {
			return
		}
		
		// 创建一个业务逻辑层实例
		{{end}}l := {{.LogicName}}.New{{.LogicType}}(r.Context(), svcCtx)

		rl := reflect.ValueOf(l)
		basic.BeforeLogic(w, r, rl)

		{{if .HasResp}}resp{{end}} := l.{{.Call}}({{if .HasRequest}}&req, {{end}}userinfo)

		if !basic.AfterLogic(w, r, rl, resp) {
			basic.NormalAfterLogic(w, r, resp)
		}
	}
}
