package gmodel

import (
	"gorm.io/gorm"
)

// fs_auth_item_child 角色和权限关系表
type FsAuthItemChild struct {
	Parent *string `gorm:"index;default:'';" json:"parent"` // 父角色或权限名称
	Child  *string `gorm:"index;default:'';" json:"child"`  // 子角色或权限名称
	// FsAuthItemChildIbfk1 foreign  `gorm:"" json:"fs_auth_item_child_ibfk_1"`//
	// FsAuthItemChildIbfk2 foreign  `gorm:"" json:"fs_auth_item_child_ibfk_2"`//
}
type FsAuthItemChildModel struct {
	db   *gorm.DB
	name string
}

func NewFsAuthItemChildModel(db *gorm.DB) *FsAuthItemChildModel {
	return &FsAuthItemChildModel{db: db, name: "fs_auth_item_child"}
}
