package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud 云仓表
type FsCloud struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Address *string `gorm:"default:'';" json:"address"`                      // 云仓地址
	Title   *string `gorm:"default:'';" json:"title"`                        // 云仓名称
}
type FsCloudModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudModel(db *gorm.DB) *FsCloudModel { return &FsCloudModel{db: db, name: "fs_cloud"} }
