package gmodel

import (
	"gorm.io/gorm"
)

// fs_email_logs 邮件日志表
type FsEmailLogs struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Type         *int64  `gorm:"default:0;" json:"type"`                          // 邮件分类
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         // 发送时间
	Email        *string `gorm:"default:'';" json:"email"`                        // 发送邮箱
	EmailSubject *string `gorm:"default:'';" json:"email_subject"`                // 发送标题
	Result       *string `gorm:"default:'';" json:"result"`                       // 发送结果
	Status       *int64  `gorm:"default:0;" json:"status"`                        // 状态 1成功0失败
}
type FsEmailLogsModel struct {
	db   *gorm.DB
	name string
}

func NewFsEmailLogsModel(db *gorm.DB) *FsEmailLogsModel {
	return &FsEmailLogsModel{db: db, name: "fs_email_logs"}
}
