package gmodel

import (
	"gorm.io/gorm"
)

// fs_factory_deliver_every 该表废弃
type FsFactoryDeliverEvery struct {
	Id                    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"`   //
	FactoryDeliverId      *int64  `gorm:"index;default:0;" json:"factory_deliver_id"`        // 工厂发货表ID
	OrderDetailTemplateSn *string `gorm:"index;default:'';" json:"order_detail_template_sn"` // 订单产品模板sn
	Num                   *int64  `gorm:"default:0;" json:"num"`                             // 发货数量
	Ctime                 *int64  `gorm:"default:0;" json:"ctime"`                           // 添加时间
}
type FsFactoryDeliverEveryModel struct {
	db   *gorm.DB
	name string
}

func NewFsFactoryDeliverEveryModel(db *gorm.DB) *FsFactoryDeliverEveryModel {
	return &FsFactoryDeliverEveryModel{db: db, name: "fs_factory_deliver_every"}
}
