package gmodel

import (
	"gorm.io/gorm"
)

// fs_map_library 贴图库
type FsMapLibrary struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	Title  *string `gorm:"default:'';" json:"title"`                        // 名称
	Info   *string `gorm:"default:'';" json:"info"`                         // 贴图数据
	Sort   *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	Status *int64  `gorm:"default:0;" json:"status"`                        // 状态 1启用
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
	TagId  *int64  `gorm:"default:0;" json:"tag_id"`                        // 模板标签id
}
type FsMapLibraryModel struct {
	db   *gorm.DB
	name string
}

func NewFsMapLibraryModel(db *gorm.DB) *FsMapLibraryModel {
	return &FsMapLibraryModel{db: db, name: "fs_map_library"}
}
