package gmodel

import (
	"gorm.io/gorm"
)

// fs_migration 版本库
type FsMigration struct {
	Version   string `gorm:"primary_key;default:'';" json:"version"` // 版本信息
	ApplyTime *int64 `gorm:"default:0;" json:"apply_time"`           //
}
type FsMigrationModel struct {
	db   *gorm.DB
	name string
}

func NewFsMigrationModel(db *gorm.DB) *FsMigrationModel {
	return &FsMigrationModel{db: db, name: "fs_migration"}
}
