package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_tag_prop 产品标签相关属性表
type FsProductTagProp struct {
	Id            int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	ProductId     *int64  `gorm:"default:0;" json:"product_id"`                    // 产品id
	TemplateTagId *int64  `gorm:"default:0;" json:"template_tag_id"`               // 模板标签id
	Cover         *string `gorm:"default:'';" json:"cover"`                        //
	Status        *int64  `gorm:"default:1;" json:"status"`                        // 状态
	Ctime         *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
}
type FsProductTagPropModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTagPropModel(db *gorm.DB) *FsProductTagPropModel {
	return &FsProductTagPropModel{db: db, name: "fs_product_tag_prop"}
}
