package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_basemap 模板底图表
type FsProductTemplateBasemap struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	Name   *string `gorm:"default:'';" json:"name"`                         // 底图名称
	Url    *string `gorm:"default:'';" json:"url"`                          // 底图地址
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Status *int64  `gorm:"default:1;" json:"status"`                        // 状态值,1正常0删除
}
type FsProductTemplateBasemapModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateBasemapModel(db *gorm.DB) *FsProductTemplateBasemapModel {
	return &FsProductTemplateBasemapModel{db: db, name: "fs_product_template_basemap"}
}
