package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_tags  模板标签表
type FsProductTemplateTags struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Title    *string `gorm:"default:'';" json:"title"`                        // 标题
	CoverImg *string `gorm:"default:'';" json:"cover_img"`                    // 封面图
	Status   *int64  `gorm:"default:0;" json:"status"`                        // 状态 1：可用
	CreateAt *int64  `gorm:"default:0;" json:"create_at"`                     // 创建时间
}
type FsProductTemplateTagsModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateTagsModel(db *gorm.DB) *FsProductTemplateTagsModel {
	return &FsProductTemplateTagsModel{db: db, name: "fs_product_template_tags"}
}
