package gmodel

import (
	"gorm.io/gorm"
)

// fs_qrcode_log 二维码扫描日志
type FsQrcodeLog struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Title     *string `gorm:"default:'';" json:"title"`                        // 二维码名称
	QrcodeId  *int64  `gorm:"default:0;" json:"qrcode_id"`                     // 二维码ID
	TagId     *int64  `gorm:"default:0;" json:"tag_id"`                        // 分组ID
	CreateAt  *int64  `gorm:"default:0;" json:"create_at"`                     // 创建时间
	Platform  *string `gorm:"default:'';" json:"platform"`                     //
	UserAgent *string `gorm:"default:'';" json:"user_agent"`                   //
}
type FsQrcodeLogModel struct {
	db   *gorm.DB
	name string
}

func NewFsQrcodeLogModel(db *gorm.DB) *FsQrcodeLogModel {
	return &FsQrcodeLogModel{db: db, name: "fs_qrcode_log"}
}
