package gmodel

import (
	"gorm.io/gorm"
)

// fs_qrcode_user 二维码-用户名表
type FsQrcodeUser struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Name   *string `gorm:"index;default:'';" json:"name"`                   // 用户名
	Status *int64  `gorm:"default:0;" json:"status"`                        // 状态 1正常0删除
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsQrcodeUserModel struct {
	db   *gorm.DB
	name string
}

func NewFsQrcodeUserModel(db *gorm.DB) *FsQrcodeUserModel {
	return &FsQrcodeUserModel{db: db, name: "fs_qrcode_user"}
}
