package gmodel

import (
	"gorm.io/gorm"
)

// fs_quotation_remark_template 报价单备注模板
type FsQuotationRemarkTemplate struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Content *string `gorm:"default:'';" json:"content"`                      //
	Status  *int64  `gorm:"default:1;" json:"status"`                        // 状态 1启用0停用
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsQuotationRemarkTemplateModel struct {
	db   *gorm.DB
	name string
}

func NewFsQuotationRemarkTemplateModel(db *gorm.DB) *FsQuotationRemarkTemplateModel {
	return &FsQuotationRemarkTemplateModel{db: db, name: "fs_quotation_remark_template"}
}
