package gmodel

import (
	"gorm.io/gorm"
)

// fs_quotation_saler 报价单业务员表
type FsQuotationSaler struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Name   *string `gorm:"default:'';" json:"name"`                         // 业务员姓名
	Phone  *string `gorm:"default:'';" json:"phone"`                        // 联系电话
	Email  *string `gorm:"default:'';" json:"email"`                        // 联系邮箱
	Status *int64  `gorm:"default:0;" json:"status"`                        // 状态位 1启用0停用
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsQuotationSalerModel struct {
	db   *gorm.DB
	name string
}

func NewFsQuotationSalerModel(db *gorm.DB) *FsQuotationSalerModel {
	return &FsQuotationSalerModel{db: db, name: "fs_quotation_saler"}
}
