package gmodel

import (
	"gorm.io/gorm"
)

// fs_standard_logo 标准logo
type FsStandardLogo struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Name   *string `gorm:"default:'';" json:"name"`                         //
	Image  *string `gorm:"default:'';" json:"image"`                        //
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Status *int64  `gorm:"default:1;" json:"status"`                        // 状态 1正常 0删除
}
type FsStandardLogoModel struct {
	db   *gorm.DB
	name string
}

func NewFsStandardLogoModel(db *gorm.DB) *FsStandardLogoModel {
	return &FsStandardLogoModel{db: db, name: "fs_standard_logo"}
}
