package gmodel

import (
	"gorm.io/gorm"
)

// fs_web_set 网站配置表
type FsWebSet struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Key     *string `gorm:"index;default:'';" json:"key"`                    // key值
	Value   *string `gorm:"default:'';" json:"value"`                        // 具体内容
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
	ExpTime *int64  `gorm:"default:0;" json:"exp_time"`                      // 过期时间
}
type FsWebSetModel struct {
	db   *gorm.DB
	name string
}

func NewFsWebSetModel(db *gorm.DB) *FsWebSetModel { return &FsWebSetModel{db: db, name: "fs_web_set"} }
