package config

import (
	"fusenapi/server/pay/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth
	PayConfig   struct {
		Stripe struct {
			EndpointSecret string
			Key            string
			CancelURL      string
			SuccessURL     string
		}
	}
}
