package handler

import (
	"fusenapi/server/websocket/internal/logic"
	"fusenapi/server/websocket/internal/svc"
	"net/http"
)

func DataTransferHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		// 创建一个业务逻辑层实例
		l := logic.NewDataTransferLogic(r.Context(), svcCtx)
		l.DataTransfer(svcCtx, w, r)
	}
}
